View a markdown version of this page

DeleteVpcConfiguration - Amazon Bedrock

DeleteVpcConfiguration

Deletes a VPC configuration. This operation is asynchronous: it returns status DELETING. Poll GetVpcConfiguration until it returns a ResourceNotFoundException, indicating the configuration is deleted. Delete requests are idempotent and safe to retry.

Request Syntax

DELETE /knowledgebases/knowledgeBaseId/vpcconfigurations/vpcConfigurationId HTTP/1.1

URI Request Parameters

The request uses the following URI parameters.

knowledgeBaseId

The unique identifier of the knowledge base that owns the VPC configuration.

Pattern: [0-9a-zA-Z]{10}

Required: Yes

vpcConfigurationId

The unique identifier of the VPC configuration to delete.

Length Constraints: Fixed length of 32.

Pattern: [a-z0-9](?:[a-z0-9-]{30}[a-z0-9])

Required: Yes

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 202 Content-type: application/json { "status": "string", "vpcConfigurationId": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 202 response.

The following data is returned in JSON format by the service.

status

The current status of the VPC configuration. Immediately after a delete request this is DELETING.

Type: String

Valid Values: CREATING | CREATED | DELETING | CREATE_FAILED | DELETE_FAILED

vpcConfigurationId

The unique identifier of the VPC configuration being deleted.

Type: String

Length Constraints: Fixed length of 32.

Pattern: [a-z0-9](?:[a-z0-9-]{30}[a-z0-9])

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

The request is denied because of missing access permissions.

HTTP Status Code: 403

ConflictException

There was a conflict performing an operation.

HTTP Status Code: 409

InternalServerException

An internal server error occurred. Retry your request.

HTTP Status Code: 500

ResourceNotFoundException

The specified resource Amazon Resource Name (ARN) was not found. Check the Amazon Resource Name (ARN) and try your request again.

HTTP Status Code: 404

ThrottlingException

The number of requests exceeds the limit. Resubmit your request later.

HTTP Status Code: 429

ValidationException

Input validation failed. Check your request parameters and retry the request.

fieldList

A list of objects containing fields that caused validation errors and their corresponding validation error messages.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: